Browse Source

chore: mark 1.24-next (#14857)

pull/15021/head
Max Schmitt 4 days ago committed by GitHub
parent
commit
3a61938628
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
  1. 10
      docs/src/ci.md
  2. 24
      docs/src/docker.md
  3. 2
      docs/src/test-snapshots-js.md
  4. 60
      package-lock.json
  5. 2
      package.json
  6. 4
      packages/playwright-chromium/package.json
  7. 2
      packages/playwright-core/package.json
  8. 4
      packages/playwright-ct-react/package.json
  9. 4
      packages/playwright-ct-svelte/package.json
  10. 4
      packages/playwright-ct-vue/package.json
  11. 4
      packages/playwright-ct-vue2/package.json
  12. 4
      packages/playwright-firefox/package.json
  13. 4
      packages/playwright-test/package.json
  14. 4
      packages/playwright-webkit/package.json
  15. 4
      packages/playwright/package.json

10
docs/src/ci.md

@ -143,7 +143,7 @@ Alternatively, you can use [Command line tools](./cli.md#install-system-dependen
pool:
vmImage: 'ubuntu-20.04'
container: mcr.microsoft.com/playwright:v1.23.0-focal
container: mcr.microsoft.com/playwright:v1.24.0-focal
steps:
...
@ -157,7 +157,7 @@ Running Playwright on CircleCI requires the following steps:
```yml
docker:
- image: mcr.microsoft.com/playwright:v1.23.0-focal
- image: mcr.microsoft.com/playwright:v1.24.0-focal
environment:
NODE_ENV: development # Needed if playwright is in `devDependencies`
```
@ -179,7 +179,7 @@ to run tests on Jenkins.
```groovy
pipeline {
agent { docker { image 'mcr.microsoft.com/playwright:v1.23.0-focal' } }
agent { docker { image 'mcr.microsoft.com/playwright:v1.24.0-focal' } }
stages {
stage('e2e-tests') {
steps {
@ -196,7 +196,7 @@ pipeline {
Bitbucket Pipelines can use public [Docker images as build environments](https://confluence.atlassian.com/bitbucket/use-docker-images-as-build-environments-792298897.html). To run Playwright tests on Bitbucket, use our public Docker image ([see Dockerfile](./docker.md)).
```yml
image: mcr.microsoft.com/playwright:v1.23.0-focal
image: mcr.microsoft.com/playwright:v1.24.0-focal
```
### GitLab CI
@ -209,7 +209,7 @@ stages:
tests:
stage: test
image: mcr.microsoft.com/playwright:v1.23.0-focal
image: mcr.microsoft.com/playwright:v1.24.0-focal
script:
...
```

24
docs/src/docker.md

@ -14,19 +14,19 @@ This image is published on [Docker Hub].
### Pull the image
```bash js
docker pull mcr.microsoft.com/playwright:v1.23.0-focal
docker pull mcr.microsoft.com/playwright:v1.24.0-focal
```
```bash python
docker pull mcr.microsoft.com/playwright/python:v1.23.0-focal
docker pull mcr.microsoft.com/playwright/python:v1.24.0-focal
```
```bash csharp
docker pull mcr.microsoft.com/playwright/dotnet:v1.23.0-focal
docker pull mcr.microsoft.com/playwright/dotnet:v1.24.0-focal
```
```bash java
docker pull mcr.microsoft.com/playwright/java:v1.23.0-focal
docker pull mcr.microsoft.com/playwright/java:v1.24.0-focal
```
### Run the image
@ -38,19 +38,19 @@ By default, the Docker image will use the `root` user to run the browsers. This
On trusted websites, you can avoid creating a separate user and use root for it since you trust the code which will run on the browsers.
```bash js
docker run -it --rm --ipc=host mcr.microsoft.com/playwright:v1.23.0-focal /bin/bash
docker run -it --rm --ipc=host mcr.microsoft.com/playwright:v1.24.0-focal /bin/bash
```
```bash python
docker run -it --rm --ipc=host mcr.microsoft.com/playwright/python:v1.23.0-focal /bin/bash
docker run -it --rm --ipc=host mcr.microsoft.com/playwright/python:v1.24.0-focal /bin/bash
```
```bash csharp
docker run -it --rm --ipc=host mcr.microsoft.com/playwright/dotnet:v1.23.0-focal /bin/bash
docker run -it --rm --ipc=host mcr.microsoft.com/playwright/dotnet:v1.24.0-focal /bin/bash
```
```bash java
docker run -it --rm --ipc=host mcr.microsoft.com/playwright/java:v1.23.0-focal /bin/bash
docker run -it --rm --ipc=host mcr.microsoft.com/playwright/java:v1.24.0-focal /bin/bash
```
#### Crawling and scraping
@ -58,19 +58,19 @@ docker run -it --rm --ipc=host mcr.microsoft.com/playwright/java:v1.23.0-focal /
On untrusted websites, it's recommended to use a separate user for launching the browsers in combination with the seccomp profile. Inside the container or if you are using the Docker image as a base image you have to use `adduser` for it.
```bash js
docker run -it --rm --ipc=host --user pwuser --security-opt seccomp=seccomp_profile.json mcr.microsoft.com/playwright:v1.23.0-focal /bin/bash
docker run -it --rm --ipc=host --user pwuser --security-opt seccomp=seccomp_profile.json mcr.microsoft.com/playwright:v1.24.0-focal /bin/bash
```
```bash python
docker run -it --rm --ipc=host --user pwuser --security-opt seccomp=seccomp_profile.json mcr.microsoft.com/playwright/python:v1.23.0-focal /bin/bash
docker run -it --rm --ipc=host --user pwuser --security-opt seccomp=seccomp_profile.json mcr.microsoft.com/playwright/python:v1.24.0-focal /bin/bash
```
```bash csharp
docker run -it --rm --ipc=host --user pwuser --security-opt seccomp=seccomp_profile.json mcr.microsoft.com/playwright/dotnet:v1.23.0-focal /bin/bash
docker run -it --rm --ipc=host --user pwuser --security-opt seccomp=seccomp_profile.json mcr.microsoft.com/playwright/dotnet:v1.24.0-focal /bin/bash
```
```bash java
docker run -it --rm --ipc=host --user pwuser --security-opt seccomp=seccomp_profile.json mcr.microsoft.com/playwright/java:v1.23.0-focal /bin/bash
docker run -it --rm --ipc=host --user pwuser --security-opt seccomp=seccomp_profile.json mcr.microsoft.com/playwright/java:v1.24.0-focal /bin/bash
```
[`seccomp_profile.json`](https://github.com/microsoft/playwright/blob/main/utils/docker/seccomp_profile.json) is needed to run Chromium with sandbox. This is a [default Docker seccomp profile](https://github.com/docker/engine/blob/d0d99b04cf6e00ed3fc27e81fc3d94e7eda70af3/profiles/seccomp/default.json) with extra user namespace cloning permissions:

2
docs/src/test-snapshots-js.md

@ -56,7 +56,7 @@ The snapshot name `example-test-1-chromium-darwin.png` consists of a few parts:
If you are not on the same operating system as your CI system, you can use Docker to generate/update the screenshots:
```bash
docker run --rm --network host -v $(pwd):/work/ -w /work/ -it mcr.microsoft.com/playwright:v1.23.0-focal /bin/bash
docker run --rm --network host -v $(pwd):/work/ -w /work/ -it mcr.microsoft.com/playwright:v1.24.0-focal /bin/bash
npm install
npx playwright test --update-snapshots
```

60
package-lock.json generated

@ -1,12 +1,12 @@
{
"name": "playwright-internal",
"version": "1.23.0-next",
"version": "1.24.0-next",
"lockfileVersion": 2,
"requires": true,
"packages": {
"": {
"name": "playwright-internal",
"version": "1.23.0-next",
"version": "1.24.0-next",
"license": "Apache-2.0",
"workspaces": [
"packages/*"
@ -6459,11 +6459,11 @@
"version": "0.0.0"
},
"packages/playwright": {
"version": "1.23.0-next",
"version": "1.24.0-next",
"hasInstallScript": true,
"license": "Apache-2.0",
"dependencies": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
},
"bin": {
"playwright": "cli.js"
@ -6473,11 +6473,11 @@
}
},
"packages/playwright-chromium": {
"version": "1.23.0-next",
"version": "1.24.0-next",
"hasInstallScript": true,
"license": "Apache-2.0",
"dependencies": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
},
"bin": {
"playwright": "cli.js"
@ -6487,7 +6487,7 @@
}
},
"packages/playwright-core": {
"version": "1.23.0-next",
"version": "1.24.0-next",
"license": "Apache-2.0",
"bin": {
"playwright": "cli.js"
@ -6498,10 +6498,10 @@
},
"packages/playwright-ct-react": {
"name": "@playwright/experimental-ct-react",
"version": "1.23.0-next",
"version": "1.24.0-next",
"license": "Apache-2.0",
"dependencies": {
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"@vitejs/plugin-react": "^1.0.7",
"vite": "^2.9.5"
},
@ -6511,10 +6511,10 @@
},
"packages/playwright-ct-svelte": {
"name": "@playwright/experimental-ct-svelte",
"version": "1.23.0-next",
"version": "1.24.0-next",
"license": "Apache-2.0",
"dependencies": {
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"@sveltejs/vite-plugin-svelte": "^1.0.0-next.30",
"vite": "^2.9.5"
},
@ -6524,10 +6524,10 @@
},
"packages/playwright-ct-vue": {
"name": "@playwright/experimental-ct-vue",
"version": "1.23.0-next",
"version": "1.24.0-next",
"license": "Apache-2.0",
"dependencies": {
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"@vitejs/plugin-vue": "^2.3.1",
"vite": "^2.9.5"
},
@ -6575,10 +6575,10 @@
},
"packages/playwright-ct-vue2": {
"name": "@playwright/experimental-ct-vue2",
"version": "1.23.0-next",
"version": "1.24.0-next",
"license": "Apache-2.0",
"dependencies": {
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"vite": "^2.9.5",
"vite-plugin-vue2": "^2.0.1"
},
@ -6590,11 +6590,11 @@
}
},
"packages/playwright-firefox": {
"version": "1.23.0-next",
"version": "1.24.0-next",
"hasInstallScript": true,
"license": "Apache-2.0",
"dependencies": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
},
"bin": {
"playwright": "cli.js"
@ -6605,11 +6605,11 @@
},
"packages/playwright-test": {
"name": "@playwright/test",
"version": "1.23.0-next",
"version": "1.24.0-next",
"license": "Apache-2.0",
"dependencies": {
"@types/node": "*",
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
},
"bin": {
"playwright": "cli.js"
@ -6619,11 +6619,11 @@
}
},
"packages/playwright-webkit": {
"version": "1.23.0-next",
"version": "1.24.0-next",
"hasInstallScript": true,
"license": "Apache-2.0",
"dependencies": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
},
"bin": {
"playwright": "cli.js"
@ -7437,7 +7437,7 @@
"@playwright/experimental-ct-react": {
"version": "file:packages/playwright-ct-react",
"requires": {
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"@vitejs/plugin-react": "^1.0.7",
"vite": "^2.9.5"
}
@ -7445,7 +7445,7 @@
"@playwright/experimental-ct-svelte": {
"version": "file:packages/playwright-ct-svelte",
"requires": {
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"@sveltejs/vite-plugin-svelte": "^1.0.0-next.30",
"vite": "^2.9.5"
}
@ -7453,7 +7453,7 @@
"@playwright/experimental-ct-vue": {
"version": "file:packages/playwright-ct-vue",
"requires": {
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"@vitejs/plugin-vue": "^2.3.1",
"vite": "^2.9.5"
},
@ -7492,7 +7492,7 @@
"@playwright/experimental-ct-vue2": {
"version": "file:packages/playwright-ct-vue2",
"requires": {
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"vite": "^2.9.5",
"vite-plugin-vue2": "^2.0.1",
"vue": "^2.6.14"
@ -7502,7 +7502,7 @@
"version": "file:packages/playwright-test",
"requires": {
"@types/node": "*",
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
}
},
"@rollup/pluginutils": {
@ -10311,13 +10311,13 @@
"playwright": {
"version": "file:packages/playwright",
"requires": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
}
},
"playwright-chromium": {
"version": "file:packages/playwright-chromium",
"requires": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
}
},
"playwright-core": {
@ -10326,13 +10326,13 @@
"playwright-firefox": {
"version": "file:packages/playwright-firefox",
"requires": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
}
},
"playwright-webkit": {
"version": "file:packages/playwright-webkit",
"requires": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
}
},
"postcss": {

2
package.json

@ -1,7 +1,7 @@
{
"name": "playwright-internal",
"private": true,
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "A high-level API to automate web browsers",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",

4
packages/playwright-chromium/package.json

@ -1,6 +1,6 @@
{
"name": "playwright-chromium",
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "A high-level API to automate Chromium",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",
@ -27,6 +27,6 @@
"install": "node install.js"
},
"dependencies": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
}
}

2
packages/playwright-core/package.json

@ -1,6 +1,6 @@
{
"name": "playwright-core",
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "A high-level API to automate web browsers",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",

4
packages/playwright-ct-react/package.json

@ -1,6 +1,6 @@
{
"name": "@playwright/experimental-ct-react",
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "Playwright Component Testing for React",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",
@ -23,7 +23,7 @@
},
"dependencies": {
"@vitejs/plugin-react": "^1.0.7",
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"vite": "^2.9.5"
}
}

4
packages/playwright-ct-svelte/package.json

@ -1,6 +1,6 @@
{
"name": "@playwright/experimental-ct-svelte",
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "Playwright Component Testing for Svelte",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",
@ -23,7 +23,7 @@
},
"dependencies": {
"@sveltejs/vite-plugin-svelte": "^1.0.0-next.30",
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"vite": "^2.9.5"
}
}

4
packages/playwright-ct-vue/package.json

@ -1,6 +1,6 @@
{
"name": "@playwright/experimental-ct-vue",
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "Playwright Component Testing for Vue",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",
@ -23,7 +23,7 @@
},
"dependencies": {
"@vitejs/plugin-vue": "^2.3.1",
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"vite": "^2.9.5"
}
}

4
packages/playwright-ct-vue2/package.json

@ -1,6 +1,6 @@
{
"name": "@playwright/experimental-ct-vue2",
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "Playwright Component Testing for Vue2",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",
@ -22,7 +22,7 @@
}
},
"dependencies": {
"@playwright/test": "1.23.0-next",
"@playwright/test": "1.24.0-next",
"vite": "^2.9.5",
"vite-plugin-vue2": "^2.0.1"
},

4
packages/playwright-firefox/package.json

@ -1,6 +1,6 @@
{
"name": "playwright-firefox",
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "A high-level API to automate Firefox",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",
@ -27,6 +27,6 @@
"install": "node install.js"
},
"dependencies": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
}
}

4
packages/playwright-test/package.json

@ -1,6 +1,6 @@
{
"name": "@playwright/test",
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "A high-level API to automate web browsers",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",
@ -33,6 +33,6 @@
"license": "Apache-2.0",
"dependencies": {
"@types/node": "*",
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
}
}

4
packages/playwright-webkit/package.json

@ -1,6 +1,6 @@
{
"name": "playwright-webkit",
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "A high-level API to automate WebKit",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",
@ -27,6 +27,6 @@
"install": "node install.js"
},
"dependencies": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
}
}

4
packages/playwright/package.json

@ -1,6 +1,6 @@
{
"name": "playwright",
"version": "1.23.0-next",
"version": "1.24.0-next",
"description": "A high-level API to automate web browsers",
"repository": "github:Microsoft/playwright",
"homepage": "https://playwright.dev",
@ -27,6 +27,6 @@
"install": "node install.js"
},
"dependencies": {
"playwright-core": "1.23.0-next"
"playwright-core": "1.24.0-next"
}
}

Loading…
Cancel
Save